///////////////////////////////////////////////////////////////////////
//
// David Cheung
// U49303740
// CS 540: AI
// HW 1
// Feb 10, 1999
//////////////////////////////////////////////////////////////////////
// tree.h: interface for the tree class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TREE_H__D7C140E2_BC14_11D2_BB12_0080AD311DDC__INCLUDED_)
#define AFX_TREE_H__D7C140E2_BC14_11D2_BB12_0080AD311DDC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class tree  
{
public:
	void recursefileprint(node *,FILE *ofp);
	void printpathfile(FILE *ofp);
	bool datamatch(node *, node*);
	bool querydata(node *);
	void printbfs();
	void printpath();
	void addnode(node* ,char type='c');
	int numnode;
	node* curptr; // curptr is the current pointer
	node* root;
	tree();
	virtual ~tree();
private:
	char printmode;
	void recurseprint(node*);
	void addchild(node*);
	void addsibling(node* from_ptr, node* anode);


};

#endif // !defined(AFX_TREE_H__D7C140E2_BC14_11D2_BB12_0080AD311DDC__INCLUDED_)
